-- Licensed Materials - Property of IBM
-- 5724-M24
-- Copyright IBM Corporation 2011 ,2014. All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosu
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- -------------------------------------------------------------------
--
-- Scriptfile to upgrade database from v8.5.5 to v8.5.6 for DB2 z/OS
--
----------------------------------------------------------------------
-- Following variables need to be changed for customization before 
-- running this script: 
-- @STOGRP@ = DB2 Storage group name (default is SYSDEFLT)
-- @DB_NAME@ = the database name, eg MONITOR
-- @SCHEMA@ = the schema name, eg MONITOR
--
-- Note: Tablespaces should be created with LOCKSIZE ROW to avoid 
--              deadlocks
--       Tablespaces should be created with CCSID UNICODE for
--       performance reasons and codepage coverage for user input
--
-- Run the script in the DB2 command line processor.
--
-- USAGE:   db2 -tf upgradeSchema750.sql
--
-- -------------------------------------------------------------------

----------------------------------------------CHANGED:  SCHEMA_VERSION
DELETE FROM @SCHEMA@.SCHEMA_VERSION;
INSERT INTO @SCHEMA@.SCHEMA_VERSION (SCHEMA_VERSION, DATA_MIGRATION) 
  VALUES( 856, 0 );

--Begin Monitor 8.5.6.0 changes
-- Add new table for FGS US 205728
CREATE TABLESPACE WBMON092 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL BP32K 
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;   
  
CREATE TABLE @SCHEMA@.FGS_COGNOS_FILTER_T
(
  USER_ID VARCHAR(128) NOT NULL ,
  MODEL_ID VARCHAR(128) NOT NULL , 
  MCID VARCHAR(128) NOT NULL , 
  SECURITY_PREDICATE  VARCHAR(4000) NOT NULL ,
  PRIMARY KEY ( USER_ID, MODEL_ID, MCID )  
) IN @DB_NAME@.WBMON092;

CREATE UNIQUE INDEX
  @SCHEMA@.FGS_COGNOS_FILTER_P ON
  @SCHEMA@.FGS_COGNOS_FILTER_T
( 
  USER_ID, 
  MODEL_ID, 
  MCID
) 
USING STOGROUP @STOGRP@;
COMMIT;



