-- Licensed Materials - Property of IBM
-- 5724-M24
-- Copyright IBM Corporation 2011, 2014.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- ------------------------------------------------------------------------------------
--
-- Scriptfile to upgrade database from v8.5.5 to v8.5.6 for SQL Server
--
-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @DB_NAME@ = the database name, eg MONITOR
-- @SCHEMA@  = the schema name, eg MONITOR
--
--
-- Run the script in the sqlcmd command line processor
--
-- USAGE:  sqlcmd -U <userid> -P <password> -e -i upgradeSchema750.sql
--
-- ------------------------------------------------------------------------------------
use @DB_NAME@
checkpoint
GO

DELETE FROM @SCHEMA@.SCHEMA_VERSION
GO

INSERT INTO @SCHEMA@.SCHEMA_VERSION (
        SCHEMA_VERSION, DATA_MIGRATION) 
        VALUES( 856, 0 )
GO

--Begin Monitor 8.5.6.0 changes
-- Add new table for FGS US 205728
CREATE TABLE @SCHEMA@.FGS_COGNOS_FILTER_T
(
    USER_ID                            NVARCHAR(128)                      NOT NULL ,
    MODEL_ID                           NVARCHAR(128)                      NOT NULL , 
    MCID                               NVARCHAR(128)                      NOT NULL , 
    SECURITY_PREDICATE                 NVARCHAR(4000)                     NOT NULL ,
    PRIMARY KEY ( USER_ID, MODEL_ID, MCID )  
) 
GO